
Core - Bug # 59966

Status: Resolved Priority: Must have
Author: Markus Klein Category: Caching
Created: 2014-06-28 Assigned To: Markus Klein
Updated: 2014-11-03 Due date:
TYPO3 Version: 6.2
PHP Version:
Complexity: easy
Is Regression: No
Sprint Focus:
Subject: EM should not clear all system caches on extension configuration change
Description

If you only change the configuration of an extension, the EM clears the system caches.
This is overkill, since a configuration change will never have any influence on the classes cache for instance.

Related issues:
related to Core - Bug # 59845: Full system crash after installing extension o... Closed 2014-06-24
related to Core - Feature # 65279: Clear Cache and Opcode automatically after... Closed 2015-02-24

Associated revisions
Revision 2dd84dd2 - 2014-11-03 15:59 - Markus Klein

[!!!][TASK] Do not clear caches after extension config change

This change removes the cache flush after extension configuration changes.
Furthermore we avoid duplicate cache flushing on extension installation.

Resolves: #59966
Releases: master
Change-Id: I6b214ac76fb7305c40f0ce7a33b895323979cbe6
Reviewed-on: http://review.typo3.org/31180
Reviewed-by: Christian Kuhn <lolli@schwarzbu.ch>
Tested-by: Christian Kuhn <lolli@schwarzbu.ch>
Reviewed-by: Stefan Froemken <froemken@gmail.com>
Tested-by: Stefan Froemken <froemken@gmail.com>
Reviewed-by: Markus Klein <klein.t3@reelworx.at>
Tested-by: Markus Klein <klein.t3@reelworx.at>

History
#1 - 2014-06-28 20:36 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/31180

#2 - 2014-09-11 23:11 - Gerrit Code Review
Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/31180

#3 - 2014-10-29 01:05 - Gerrit Code Review

Patch set 4 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/31180

#4 - 2014-11-03 16:01 - Markus Klein
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:2dd84dd2f4fabbc1d99407e54191e653c39eb11e.
